Description: When I click on the MythVideo icon in MythWeb, I'm greeted by a page of errors like this one:

<code>Error at /data/srv/httpd/htdocs/mythweb/objects/Video.php, line 56:
Division by zero</code>
I think we've seen this before, but I forget what the fix was.  Something in the php5 package maybe?

History
03/13/2009 02:44 am - girkers
I can confirm a different error with mine, I get:

<code>Could not create a symlink to /myth/video, the local MythVideo directory for this hostname (mythtv). Please create a symlink to your MythVideo 
directory at data/video in order to use the video portions of MythWeb.
</code>

05/14/2009 10:06 pm - christian
I believe this is an error in the original myth script and is not LinHES.

To fix this, I added an if check to verify the width and height were legal (ie. there is an image).
         if (($width != 0) && ($height != 0)) {

so the code block looks like:
<code>
          if (($width != 0) && ($height != 0)) {
            $wscale = video_img_width / $width;
            $hscale = video_img_height / $height;
            $scale = $wscale < $hscale ? $wscale : $hscale;
            $this->cover_scaled_width  = floor($width * $scale);
            $this->cover_scaled_height = floor($height * $scale);
          }
</code>

06/15/2009 04:06 pm - jams
division by zero error fixed upstream.
symlink error has been fixed in mythweb-0.21-18

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04
